#!/bin/sh
echo 'name: cipher-aes
version: 0.1.8
id: cipher-aes-0.1.8-a7d56752ca80abfddd835205fa9f8e6c

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cipher-aes
package-url:
synopsis: Fast AES cipher implementation with advanced mode of operations
description: Fast AES cipher implementation with advanced mode of operations.
             .
             The modes of operations available are ECB (Electronic code book),
             CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
             GCM (Galois Counter Mode).
             .
             The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
             but fallback gracefully to a software C implementation.
             .
             The software implementation uses S-Boxes, which might suffer for cache timing issues.
             However do notes that most other known software implementations, including very popular
             one (openssl, gnutls) also uses same implementation. If it matters for your
             case, you should make sure you have AES-NI available, or you'\''ll need to use a different
             implementation.
             .
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Cipher.AES
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/cipher-aes-0.1.8
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/cipher-aes-0.1.8
              /usr/local/lib
hs-libraries: HScipher-aes-0.1.8
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/cipher-aes-0.1.8/html/cipher-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/cipher-aes-0.1.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
